<html xmlns:h="http://xmlns.jcp.org/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
<h:head>
    <title>Shop</title>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous" />
    <h:outputStylesheet name="/bootstrap/3.3.7/css/bootstrap.min.css" library="webjars"/>
    <h:outputStylesheet name="style.css" library="css"/>

</h:head>
<h:body>
    <h2>Enregistrez-vous</h2>
    <h3>En quelques clics</h3>
    <br></br>
    <div class="row">
        <nav class="navbar col-lg-offset-1 col-lg-10">
            <div class="container-fluid">
                <div class="navbar-header">
                    <a class="navbar-brand" href="index.xhtml"><b>Menu</b></a>
                </div>
                <ul class="nav navbar-nav underline">
                    <li class="active"><a href="">Shop</a></li>
                    <li><a href="private/profil.xhtml">Mon profil</a></li>
                </ul>
                <nav class="circle-effect">
                    <ul class="nav navbar-nav navbar-right">
                        <li><a href="login.xhtml"><i class="fas fa-sign-in-alt"></i> Connexion</a></li>
                    </ul>
                </nav>
            </div>
        </nav>
    </div>

    <h:form styleClass="text-center formStyle" id="formAddUser">
        <h:panelGrid>
            <h:outputText value="Enter Your First Name:" />
            <h:inputText id="fname" value="#{userBean.user.firstName}"
                         required="true" requiredMessage="Please enter your first name" />
            <h:message for="fname" style="color:red" />
            <h:outputText value="Enter Your Last Name:" />
            <h:inputText id="lname" value="#{userBean.user.lastName}"
                         required="true" requiredMessage="Please enter your last name" />
            <h:message for="lname" style="color:red" />
            <h:outputText value="Enter Your email ID:" />
            <h:inputText id="email" value="#{userBean.user.email}"
                         required="true" requiredMessage="Please enter your email id" />
            <h:message for="email" style="color:red" />
            <h:outputText value="Enter Your Postal Code:" />
            <h:inputText id="postal" value="#{userBean.user.postal}"
                         required="true" requiredMessage="Please enter your Postal Code" />
            <h:message for="email" style="color:red" />
            <h:outputText value="Enter Your username:" />
            <h:inputText id="username" value="#{userBean.user.username}"
                         required="true" requiredMessage="Please enter your username" />
            <h:message for="username" style="color:red" />
            <h:outputText value="Enter Password :" />
            <h:inputSecret id="psw" value="#{userBean.user.password}"
                           required="true" requiredMessage="Please enter your password" />
            <h:message for="psw" style="color:red" /> <br  />

            <f:facet name="footer">
                <div style="align-items: center" class="col-lg-offset-1" >
                    <h:commandButton value="Register" action="#{userBean.addNewUser}" styleClass="btn btn-success" />
                    <h:outputLink value="index.xhtml" styleClass="btn btn-info col-lg-offset-1">Home</h:outputLink>
                </div>
            </f:facet>
        </h:panelGrid>
    </h:form>

</h:body>
</html>